<?php     defined('C5_EXECUTE') or die("Access Denied.");

$al = $app->make('helper/concrete/asset_library');
?>

<style>
.ab-spacer-form .text-muted {
    font-size: 0.8em;
}
</style>

<fieldset class="ab-spacer-form">

    <div class="col-xs-12">
        <div class="form-group">
            <div id="block_note" class="alert alert-info" role="alert">
            <?php echo t('Default spacer style is empty block of given height and full width'); ?>
            </div>
        </div>
    </div>
        
    <div class="col-xs-12">
        <div class="form-group">
            <?php
            echo $form->label('height', t('Spacer height'));
            echo $form->text('height', $height ? $height : "20", array('maxlength' => 3, 'class' => "decimals"));
            echo '<p class="text-muted">' . t('Numeric values only') . '</p>';
            ?>
        </div>
    </div>

    <div class="col-xs-12">
        <div class="form-group">
            <div id="block_note" class="alert alert-info" role="alert">
            <?php echo t('Customize spacer style'); ?>
            </div>
        </div>
    </div>
        
    <div class="col-xs-12">
        <div class="form-group">
            <div class="checkbox" data-checkbox-wrapper="show_line">
                <label>
                    <?php
                    echo $form->checkbox('show_line', 1, $show_line);
                    echo t('Show line spacer?');
                    ?>
                </label>
            </div>
            <div data-fields="show_line" style="display: none">
                <div class="col-xs-4">
                    <div class="form-group">
                        <?php
                        echo $form->label('size', t('Line size'));
                        echo $form->number('size', $size, array('min' => '1', 'max' => '9', 'class' => "decimals"));
                        ?>
                    </div>
                </div>
                <div class="col-xs-4">
                    <div class="form-group">
                        <?php
                        echo $form->label('style', t('Line style'));
                        echo $form->select('style', $border_styles, $style ? $style : 'None');
                        ?>
                    </div>
                </div>
                <div class="col-xs-4">
                    <div class="form-group">
                        <?php
                        echo $form->label('size', t('Line color'));
                        echo '<br />';
                        $rgb = $app->make('helper/form/color');
                        $rgb->output('color', $color ? $color : '#666666', array('preferredFormat' => 'hex'));
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
        
     <div class="col-xs-12">
        <div class="form-group">
            <div class="checkbox" data-checkbox-wrapper="show_picture">
                <label>
                    <?php
                    echo $form->checkbox('show_picture', 1, $show_picture);
                    echo t('Show picture spacer?');
                    ?>
                </label>
            </div>
            <div data-fields="show_picture" style="display: none">
                <div class="well">
                    <div class="form-group">
                        <?php
                        echo $form->label('picture', t('Picture'));
                        echo $al->image('picture', 'pictureID', t('Choose picture'), $pic);
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="col-xs-12">
        <div class="form-group">
            <div class="checkbox" data-checkbox-wrapper="show_note">
                <label>
                    <?php
                    echo $form->checkbox('show_note', 1, $show_note);
                    echo t('Show note spacer?');
                    ?>
                </label>
            </div>
            <div data-fields="show_note" style="display: none">
                <div class="well">
                    <div class="form-group">
                        <?php
                        echo $form->label('note', t('Note'));
                        echo $form->text('note', $note, ['maxlength' => 100]);
                        echo '<p class="text-muted">' . t('Max 100 symbols, min height will be 50px') . '</p>';
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
</fieldset>

<script type="text/javascript">    
$(function(){
    $('.decimals').keydown(function (e) {
        // Allow: backspace, delete, tab, escape, enter and .
        if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
             // Allow: Ctrl+A, Command+A
            (e.keyCode === 65 && (e.ctrlKey === true || e.metaKey === true)) || 
             // Allow: home, end, left, right, down, up
            (e.keyCode >= 35 && e.keyCode <= 40)) {
                 // let it happen, don't do anything
                 return;
        }
        // Ensure that it is a number and stop the keypress
        if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
            e.preventDefault();
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Oops')); ?>,
                message: <?php echo json_encode(t('Numbers only!')); ?>
            });
        }
    });

    $('#ccm-form-submit-button').on('click', function(e){
        var height = $.trim($('#height').val());
        if (height < 1) {
            e.preventDefault();  // stop form from submitting
            e.stopPropagation(); // stop anything else from listening to our event and screwing things up
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Height value error:')); ?>,
                message: <?php echo json_encode(t('Height must be > 0')); ?>
            });
        }
        
    });
    
    $('#show_line').on('change', function() {
        $('div[data-fields=show_line]').toggle($(this).is(':checked'));

        if (!$(this).is(':checked')) {
            $('#size').val('1');
            $('#style').val('none');
            $('div.sp-clear-display').click();
        }
    }).trigger('change');

    $('#show_picture').on('change', function() {
        $('div[data-fields=show_picture]').toggle($(this).is(':checked'));
    }).trigger('change');

    $('#show_note').on('change', function() {
        $('div[data-fields=show_note]').toggle($(this).is(':checked'));

        if (!$(this).is(':checked')) {
            $('#note').val('');
        }
    }).trigger('change');

});
</script>
